Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
New Contributor I
169 Views

facial-landmarks-35-adas-0002 model for OpenVINO 2019.2.242

Jump to solution

Hi,

I'm using OpenVINO 2019.2.242 in my solution, and at the moment I cannot update the version of it. 

So I was using your pre-trained model (facial-landmarks-35-adas-0002) for Landmark Detection on CPU (using the CPU Plugin) which is only available on OpenVINO 2019.3.379 Toolkit. The CPU plugin never complained about the fact that I was running a model which were converted from a newer version than the one I have installed.

A few days ago, I got a NCS2, and I wanted to test the landmark detection model with it. However the Myriad Plugin does not accept future version models and retrieves the following error:

[ ERROR ] Error reading network: cannot parse future versions: 6

So my two questions are:

1. Why the CPU Plugin accepts models converted from a future OpenVINO version and the Myriad Plugin not?

2. I was able to find the .prototxt (caffe network configuration file) for facial-landmarks-35-adas-0002 landmark detector. However I did not found the .caffemodel (caffe weights). If those two files were available in some way that would be great because I could convert those two using my current OpenVINO version - 2019.2.242. The caffemodel file is available somewhere? Can be made available? Is there any way to convert the .bin file (OpenVINO weights) to a .caffemodel (Caffe weights)?

Thanks,

César.

 

0 Kudos

Accepted Solutions
Highlighted
169 Views

Hi Cesar,

The facial-landmarks-35-adas-0002 is available in the OpenVINO 2019.1.152, OpenVINO 2019.2.242, OpenVINO 2019.3.336, OpenVINO 2020.1 versions. Can you re-check and use the model from the respective version. The model can be downloaded manually also.

Hope this helps.

Regards,

Ram prasad

View solution in original post

0 Kudos
4 Replies
Highlighted
170 Views

Hi Cesar,

The facial-landmarks-35-adas-0002 is available in the OpenVINO 2019.1.152, OpenVINO 2019.2.242, OpenVINO 2019.3.336, OpenVINO 2020.1 versions. Can you re-check and use the model from the respective version. The model can be downloaded manually also.

Hope this helps.

Regards,

Ram prasad

View solution in original post

0 Kudos
Highlighted
New Contributor I
169 Views

Hi Ram, thanks for your answer!

I just used the downloader tool that comes with the OpenVINO toolkit (for version 2019.2) and no facial-landmark-35-adas-0002 model was retrieved, so I thought this was a model that would only be available for versions > 2019.3. By the xml file this model was converted using the OpenVINO toolkit 2019.2 so this should be fine. This Monday i will test if the myriad plugin accepts the model and will give you news about it. However, I still don't understand why the CPU plugin accepts the model (a model converted from a future version of OpenVINO toolkit) while the Myriad plugin does not.

Thanks,

César.

0 Kudos
Highlighted
Employee
169 Views

Hi Cesar,

Thank you for your patience. I tested some demos and they did not work using an older version of OpenVINO™ toolkit (2019.R3.1) with a newer IR file (2020.1). It showed the following error with both MYRIAD and CPU plugins:

RuntimeError: Error reading network: cannot parse future versions: 10. 

Let me know if you have additional questions.

Best regards, 

David

 

0 Kudos
Highlighted
New Contributor I
169 Views

Hi David,

It showed the following error with both MYRIAD and CPU plugins

This is really weird because I have tested, using your demos, and the CPU plugin does not give me any problems at all.

However, Ram response was just enough to get me going in the right track, I have now the facial landmark model converted from model optimizer R1 which now works.

Thank you all.

0 Kudos